Subject: RE: Universal NFS Server is terribly slow through cygwin
From: "Robb, Sam" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 9 Jan 2003 12:12:32 -0500

Harendra,

  The nfs-server package hasn't been released yet - discussions
about it should probably go to the cygwin-apps mailing list, so
I've redirected this message there for sake of continuity.

  Keep in mind you're running a user mode NFS server on top of
a Unix layer on top of another operating system entirely :-/
While I intend to do whatever I can to improve things, I
doubt it will ever even get close to the performance of a
kernel-mode Linux server.

  One suggestion - check your NT event log for messages from
nfsd.  Permissions issues can cause a *lot* of error messages
to crop up in the log.  For now, you can avoid the majority of
these by explicitly setting the uid/gid to be used by clients
mounting the export, ex:

/some_export	(rw,all_squash,anonuid=501,anongid=546)

-Samrobb

> -----Original Message-----
> From: Harendra Kumar [mailto:[email-masked]]
> Sent: Thursday, January 09, 2003 10:01 AM
> To: [email-masked]'
> Cc: [email-masked]'; Raghavan
> Subject: Universal NFS Server is terribly slow through cygwin
> 
> 
> Hi,
> 
> I am using the Cygwin version of the universal NFS Server. It 
> works fine but
> the only problem is that it is terribly slow. The NFS server 
> version is
> 2.2.47-cygwin.
> 
> I am running the nfs server through cygwin version 2.125.2.10 
> on a windows
> NT machine with pentium III 800 MHZ and 128 MB RAM. I am mounting the
> exported filesystem on a linux machine which is connected to 
> the windows
> machine through ethernet LAN. The LAN performance is good. 
> When I execute a
> 'ls -l' command on the client it takes more than two minutes. 
> Following is
> the output of the timed 'ls -l' command.
> 
> [root@raindrop mnt]# time ls -l
> total 1379
> drwxr-xr-x    2 500      513          4096 Jan  9 17:16 bin/
> -rwxr-xr-x    1 500      513        987652 Jan  9 11:57 cpu1*
> drwxr-xr-x    3 500      513             0 Jan  9 17:16 dev/
> -rw-r--r--    1 500      513         20480 Jan  9 11:58 dev.tar
> drwxr-xr-x    7 500      513          8192 Jan  9 17:16 etc/
> lrwxrwxrwx    1 500      513           123 Jan  9 17:16 
> firewall.cfg ->
> /tmp/firewall.cfg
> drwxr-xr-x    3 500      513          4096 Jan  9 17:16 flash0/
> drwxr-xr-x    2 500      513             0 Apr 10  2002 home/
> lrwxrwxrwx    1 500      513            97 Jan  9 17:16 jffs2 -> /tmp/
> drwxr-xr-x    2 500      513         12288 Jan  9 17:16 lib/
> lrwxrwxrwx    1 500      513           105 Jan  9 17:16 log 
> -> /tmp/log
> drwxr-xr-x    2 500      513             0 Apr 10  2002 mnt/
> drwxr-xr-x    2 500      513             0 Apr 10  2002 opt/
> drwxr-xr-x    2 500      513             0 Apr 10  2002 proc/
> drwxr-xr-x    2 500      513             0 Jan  9 11:57 ramfs/
> drwx------    2 500      513             0 Apr 10  2002 root/
> drwxr-xr-x    2 500      513          4096 Jan  9 17:16 sbin/
> lrwxrwxrwx    1 500      513           109 Jan  9 17:16 tmp 
> -> /ramfs/tmp
> drwxr-xr-x    6 500      513             0 Jan  9 11:57 usr/
> lrwxrwxrwx    1 500      513           109 Jan  9 17:16 var 
> -> /ramfs/var
> -rw-r--r--    1 500      513       1781968 Jan  9 17:21 vmlinux
> 
> real    2m0.712s
> user    0m0.000s
> sys     0m0.010s
> [root@raindrop mnt]# 
> 
> When we run linux on the same machine and run the linux nfs 
> server, it is
> very fast. I understand that the unfsd being totatlly in user 
> space will be
> somewhat slow but I believe it should not  be that slow. 
> Could you please
> help us in finding what is wrong.
> 
> Thanks and regards,
> Harendra
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/